PACCONF(1)

BEZEICHNUNG
pacconf - die Konfigurationsdatei von Pacman abfragen

ÜBERSICHT
 pacconf [Optionen] [<Anweisung> …]  pacconf
(--repo-list|--help|--version)

BESCHREIBUNG
Fragt Konfigurationsoptionen aus der Pacman-Konfigurationsdatei ab. Falls keine Anweisungen angegeben sind, wird die gesamte Konfiguration in einem normalisierten Format ausgegeben. Wenn nur eine einzelne Anweisung angegeben ist, wird standardmäßig nur deren Wert ohne den Optionsnamen ausgegeben. Für Anweisungen ohne Wert wird der Name der Anweisung als Wert verwendet.

Die angezeigten Werte sind die finalen Werte, wie sie von pacman(8) selbst ausgewertet werden würden. Alle Standardwerte sind gesetzt, »Include«-Anweisungen sind verarbeitet, die $arch- und $repo-Variablen in Repositorium-Servern sind ersetzt und die »Architektur« wird ersetzt, falls sie auf »auto« gesetzt ist.

OPTIONEN

--config=Pfad
    gibt den Pfad zu einer alternativen Konfigurationsdatei an.

--root=Pfad
    gibt eine alternative Installationswurzel an.

--sysroot=Pfad
    gibt eine alternative Systemwurzel an. Siehe pacutils-sysroot(7).

--arch=Architektur
    gibt eine alternative Architektur an.

--null[=Trenner]
    gibt einen alternativen Trenner für Werte an, die aus der Standardeingabe gelesen werden. Standardmäßig wird ein Zeilenvorschub »\n« als Trenner verwendet. Falls Sie --null verwenden, ohne einen Trenner anzugeben, wird »NUL« (das Nullbyte) verwendet.

--options
    zeigt nur globale Einstellungen aus dem »[options]«-Abschnitt an. Die »[options]«-Abschnittsüberschrift selbst wird nicht angezeigt.

--raw
    zeigt unveränderte Werte an. »Include«-Anweisungen werden verarbeitet, aber keine Standardeinstellungen gesetzt, $arch- und $repo-Variablen in Repositorium-Servern werden nicht ersetzt und die »Architektur« wird nicht ersetzt, falls diese auf »auto« gesetzt ist.

--repo=Name
    zeigt nur Anweisungen für das Repositorium Name an. Die Kopfdaten des Repositoriums werden nicht ausgegeben.

--repo-list
    listet die konfigurierten Repositorien auf.

--single
    zeigt bei Optionen mit mehreren Werten nur den ersten Wert an.

--verbose
    zeigt auch dann Anweisungsnamen an, wenn nur eine Anweisung bereitgestellt wird.

--help
    zeigt Hinweise zur Verwendung an und beendet das Programm.

--version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE

Überprüfen, ob die farbige Darstellung aktiviert ist:
     color=$(pacconf-Farbe)   [[ -n $color ]] && … # etwas in Farbe ausgeben

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).